Subject: [AAA-WG]: [AAA] Using DIAMETER_MISSING_AVP for optional AVP

From: "MORAND Lionel RD-CORE-ISS" <[email-masked]>
Date: Sat, 30 Oct 2004 10:39:48 +0200

Hi AAA folks,

In the RFC 3588, the result-code DIAMETER_MISSING_AVP is ussed to
indicate that a mandatory AVP (required by the command code ABNF
specification) is missing in the received command.

Is it possible to use the DIAMETER_MISSING_AVP result code along with
the Failed-AVP AVP to indicate that an optional AVP (from the ABNF point
of view) is missing in the received command? If not, could you identify
some operational issues?

Any opinion?

Lionel